<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$promocion=$_GET['numero_promocion'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(450,17,8,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

$query = "SELECT 
graduandos.cedula, 
graduandos.apellidos, 
graduandos.nombres, 
graduandos.id_alumno, 
graduandos.nom_carrera, 
graduandos.mencion, 
graduandos.iraa,
graduandos.id_carrera 
FROM graduandos
WHERE  graduandos.promocion = '$promocion'
ORDER BY iraa desc";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.




// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mppf.jpg');
$pdf->addImage($imagen,40,$pdf->y-25,250,0);
$imagen=ImageCreatefromjpeg('../../imagenes/enahp.jpg');
$pdf->addImage($imagen,600,$pdf->y-25,150,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-12);
$pdf->ezText('<b>'.utf8_decode("GRADUÁNDOS POR ÍNDICE DE DESEMPEÑO ACADÉMICO").'</b>',13,array('justification'=>'center'));
$pdf->ezText('<b>'.utf8_decode("PROMOCIÓN: ").utf8_decode($promocion).'</b>',12,array('justification'=>'center'));
$pdf->ezsetdy(-12);
$pdf->ezText(utf8_decode("NÚMERO DE GRADUANDOS: ").$totalRows.'                                                                                                                                                                      '.utf8_decode("FECHA DE IMPRESIÓN: ").date("d/m/Y"),9 ,array('justification'=>'left'));

// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4.9,1,2.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.', 
			  'cedula'=>utf8_decode('CÉDULA').'      ', 
              'apellidosynombres'=>'                 APELLIDOS Y NOMBRES',
			  'programa'=>utf8_decode('CARRERA'),
			  'mencion'=>utf8_decode('MENCIÓN'),
			  'indice'=>utf8_decode('IDA')); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
	$id_alumno     = $row[3];    // cedula 
    $apeynom  = $row[1].', '.$row[2]; // apellidos y nombres
	$programa= substr($row[4],0,50);
	$mencion=$row[5];
	$indice=$row[6];
	$id_carrera=$row[7];
	
	$sql4="select nombre_mencion from menciones where id_carrera='$id_carrera' and id_mencion='$mencion'";
    $rs4 = mysql_query($sql4, $cn);
    $row4 = mysql_fetch_assoc($rs4);
    $nom_mencion=$row4['nombre_mencion'];
	
    

    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.' ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'programa'=>utf8_decode($programa),
					'mencion'=>utf8_decode($nom_mencion),
					'indice'=>$indice); 
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'750','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'programa'=>array('justification'=>'full')
			 ,'indice'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $id_docente, $nom_docente)
{
    // Facilitador(a).
    $pdf->Rectangle(58,25,500,50);
    $pdf->addText(280,65,8,'Facilitador(a)');
	$pdf->line(58,60,558,60); 
	$pdf->addText(65,50,7,'Nombres y Apellidos:'.$nom_docente);
	$pdf->addText(400,50,7,'C�dula/Pasaporte: '.$id_docente);
	//$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(445,33,7,'FECHA: ______/______/________');
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(65,33,7,'FIRMA:');
	$pdf->line(58,45,558,45); 
}
?> 